Author Topic: New Game Release For All Zaurii And Linux Pcs  (Read 3984 times)

Mickeyl

  • Hero Member
  • *****
  • Posts: 1495
    • View Profile
    • http://www.Vanille.de
New Game Release For All Zaurii And Linux Pcs
« Reply #15 on: May 16, 2006, 05:51:23 pm »
Fixed that. Note that nowadays there are always two packages for a sdl game:
<foo> contains the generic stuff
<foo>-opie contains the opie specific stuff, i.e. .desktop file and pixmaps
« Last Edit: May 16, 2006, 05:52:42 pm by Mickeyl »
Cheers,

Michael 'Mickey' Lauer | Embedded Linux Freelancer | www.Vanille-Media.de
Consider donating, if you like the software I contribute to.

Greg2

  • Hero Member
  • *****
  • Posts: 790
    • View Profile
    • http://
New Game Release For All Zaurii And Linux Pcs
« Reply #16 on: May 16, 2006, 07:45:03 pm »
Quote
I don't know much at all about non-Sharp ROMs and I would like to know the answer to this question. Isn't the difference mainly the directory structure as far as installation goes? This information would assist me with future projects.
No, the main difference is the version of the gcc used to compile the binarys and the use of soft float... your binarys will not work on OZ, or the pdaXrom properly.

If you are interested in this... I will attach a link here for you to set up OE, or you could use the oe-cross-sdk that is created with OE for this.
http://oe.handhelds.org/cgi-bin/moin.cgi/GettingStarted

Some of the devs here make ipks for both... It also requires a different ipkg-build script.

I have OE set up on my laptop... but it doesn’t do much good with my damn dial-up connection! Sorry, I get a bit angry because I live about 800 feet from dsl... that they promised to fix for me over a year ago.  

Greg

Greg2

  • Hero Member
  • *****
  • Posts: 790
    • View Profile
    • http://
New Game Release For All Zaurii And Linux Pcs
« Reply #17 on: May 16, 2006, 07:48:16 pm »
Quote
Fixed that. Note that nowadays there are always two packages for a sdl game:
Thanks for fixing... and explaining the change.  

Greg

TheGreenKnight

  • Newbie
  • *
  • Posts: 35
    • View Profile
    • http://
New Game Release For All Zaurii And Linux Pcs
« Reply #18 on: May 17, 2006, 05:37:13 am »
Ok cheers for the info Greg.

km2783

  • Jr. Member
  • **
  • Posts: 71
    • View Profile
    • http://
New Game Release For All Zaurii And Linux Pcs
« Reply #19 on: May 17, 2006, 04:08:10 pm »
okay, I installed the ipk using the package manager of pdaxrom, but for the life of me can't find where it is, or get it to run.  I installed it to "/"

maybe i am a retard, can i not use it with pdaxrom?

**edit**

I tried /home/user this time, and found it in /home/user/opt/QtPalmtop/bin

I'll get it in a bit

Or not.  When trying to run from the terminal, it tells me I am missing libqpe.so.1, and I have SDL 1.2.9.  Do I need a different version of SDL?  

I don't have a desktop icon, either

**edit**

I said to hell with the ipk, but still need that damned libqpe.so.1   so i guess that's where i am at, now.

Linux:  1, km2783: 0
« Last Edit: May 17, 2006, 05:28:29 pm by km2783 »
SL-C3100 - pdaXii3 5.4.9

Meanie

  • Hero Member
  • *****
  • Posts: 2803
    • View Profile
    • http://www.users.on.net/~hluc/myZaurus/
New Game Release For All Zaurii And Linux Pcs
« Reply #20 on: May 17, 2006, 11:16:23 pm »
Quote
okay, I installed the ipk using the package manager of pdaxrom, but for the life of me can't find where it is, or get it to run.  I installed it to "/"

maybe i am a retard, can i not use it with pdaxrom?

**edit**

I tried /home/user this time, and found it in /home/user/opt/QtPalmtop/bin

I'll get it in a bit

Or not.  When trying to run from the terminal, it tells me I am missing libqpe.so.1, and I have SDL 1.2.9.  Do I need a different version of SDL?  

I don't have a desktop icon, either

**edit**

I said to hell with the ipk, but still need that damned libqpe.so.1   so i guess that's where i am at, now.

Linux:  1, km2783: 0
[div align=\"right\"][a href=\"index.php?act=findpost&pid=127469\"][{POST_SNAPBACK}][/a][/div]


libqpe.so.1 is a qt/e 1.5 library. pdaXrom uses X11 and doesn't have it.
since this app requires libqpe, then it will only run on qtopia based distros, ie sharp rom and opie and their derivatives... cacko, hentges, etc...
SL-C3000 - pdaXii13 build5.4.9 (based on pdaXrom beta3) / SL-C3100 - Sharp ROM 1.02 JP (heavily customised)
Netgear MA701 CF, SanDisk ConnectPlus CF, Socket Bluetooth CF, 4GB Kingston CF,  4GB pqi SD, 4GB ChoiceOnly SD, 2GB SanDisk SD USB Plus, 1GB SanDisk USB Plus, 1GB Transcend SD, 2GB SanDisk MicroSD with SD adaptor, Piel Frama Leather Case, GoldX 5-in-1 USB cable, USB hub, USB mouse, USB keyboard, USB ethernet, USB HDD, many other USB accessories...
(Zaurus SL-C3000 owner since March 14. 2005, Zaurus SL-C3100 owner since September 21. 2005)
http://members.iinet.net.au/~wyso/myZaurus - zBook3K

km2783

  • Jr. Member
  • **
  • Posts: 71
    • View Profile
    • http://
New Game Release For All Zaurii And Linux Pcs
« Reply #21 on: May 18, 2006, 12:28:18 pm »
ah, gotcha.  well, at least I am not crazy.  Thanks.  Something learned, something gained

I did read afterwards on his site that I'd have to compile it myself for non-Sharp ROMs, but I've never had much luck using the native compiler.  I'll have to go ask over on the pdaxrom board about that, see what I am doing wrong there.

thanks again
« Last Edit: May 18, 2006, 12:32:47 pm by km2783 »
SL-C3100 - pdaXii3 5.4.9